@Quintis

Ошибка при sudo npm install?

60362341494ca421569525.png
6036234d1cfba725258351.png
6036236264ea6749016107.png

Здравствуйте , установил fedora и node но немогу установить node_modules для работы с плагином gutenberg -https://github.com/WordPress/gutenberg
npm 6.14.11
node 14.16.0
package.json говорит что npm < 7 версии должен быть
Есть ли кто то кто работает с gutenberg на fedora ? Помогите пожалуйста
  • Вопрос задан
  • 239 просмотров
Пригласить эксперта
Ответы на вопрос 1
zeond
@zeond
dev & ops
По скринам видно что вы делаете sudo git clone и тем самым клонируете репозитарий из под рута. А затем пытаетесь без прав рута делать npm install чтобы собрать проект. Вам нужно определиться от какого пользователя вы будете собирать проект. Если не от рута, то не используйте sudo.

cd ~
git clone ...
npm install


но вот в документации Gutenberg написано чтобы использовать плагин достаточно установить его из официальной репы:

To use the latest release of the Gutenberg plugin on your WordPress site: install from the plugins page in wp-admin, or download from the WordPress.org plugins repository.
Ответ написан
Ваш ответ на вопрос

Войдите, чтобы написать ответ

Войти через центр авторизации
Похожие вопросы